/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.xelfi.quoridor.desktop.sample;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import org.openide.DialogDisplayer;
import org.openide.NotifyDescriptor;
import org.openide.util.NbBundle;

public final class LoginAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        LoginPanel lp = new LoginPanel();
        NotifyDescriptor nd = new NotifyDescriptor(
            lp,
            NbBundle.getMessage(LoginAction.class, "LoginAction.title"),
            NotifyDescriptor.OK_CANCEL_OPTION,
            NotifyDescriptor.QUESTION_MESSAGE, null, null
        );
        Object res = DialogDisplayer.getDefault().notify(nd);
        if (res == NotifyDescriptor.OK_OPTION) {
            if (!Quoridor.getDefault().login(lp.getLogin(), lp.getPassword())) {
                nd = new NotifyDescriptor.Message(
                    NbBundle.getMessage(LoginAction.class, "LoginAction.fail")
                );
                DialogDisplayer.getDefault().notify(nd);
            }
        }
    }
}
